Search donations

Search donations to all members' committees by donor or employer. At least one of donor or employer is required.

GET https://www.chicagopolitics.org/api/v1/donations

Authorizations

HeaderValue
AuthorizationBearer <key>. Get a key; see authentication.

Query parameters

NameTypeRequiredDescription
donorstring
employerstring
memberintegerMember id.
mininteger
lobbyistboolean
fromstring (date)
tostring (date)
limitintegerDefault 50.
cursorstringFrom meta.nextCursor of the previous page.

Response

200 Donations: a list in data, with meta and links (see pagination).

FieldTypeDescription
idstring
datestring (date)
amountnumber
aggregateFromDonornumber | null
donorstring | null
donorIsOrganizationboolean
occupationstring | null
employerstring | null
citystring | null
statestring | null
kindstring | null
descriptionstring | null
donorIsLobbyistboolean
donorIsLobbyingClientboolean
committeeobject

Example request

curl "https://www.chicagopolitics.org/api/v1/donations" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"

Errors: 400, 401, 429 (see errors).